Skip to content
View as Markdown

POST Create Contact​

POST
/subscribers

Create a new contact. If __force_update is set to yes, it will update an existing contact with the same email instead of returning an error. Optionally sends a double opt-in email.

Authorizations​

ApplicationPasswords

WordPress Application Passwords — use Basic auth with your WordPress username and an application password in the format: username:application_password

Type
API Key (header: Authorization)

Request Body​

application/json
JSON
{
"email": "string",
"status": "string",
"first_name": "string",
"last_name": "string",
"prefix": "string",
"contact_type": "string",
"address_line_1": "string",
"address_line_2": "string",
"postal_code": "string",
"city": "string",
"state": "string",
"country": "string",
"phone": "string",
"timezone": "string",
"date_of_birth": "string",
"source": "string",
"tags": [
0
],
"lists": [
0
],
"double_optin": true,
"__force_update": "string"
}

Responses​

Contact created or updated successfully.

application/json
JSON
{
"message": "string",
"contact": {
"id": 0,
"user_id": "string",
"hash": "string",
"contact_owner": "string",
"company_id": 0,
"prefix": "string",
"first_name": "string",
"last_name": "string",
"full_name": "string",
"email": "string",
"status": "string",
"contact_type": "string",
"address_line_1": "string",
"address_line_2": "string",
"postal_code": "string",
"city": "string",
"state": "string",
"country": "string",
"ip": "string",
"latitude": 0,
"longitude": 0,
"phone": "string",
"timezone": "string",
"date_of_birth": "string",
"source": "string",
"life_time_value": 0,
"last_activity": "string",
"total_points": 0,
"created_at": "string",
"updated_at": "string",
"photo": "string",
"tags": [
{
"id": 0,
"title": "string",
"slug": "string"
}
],
"lists": [
{
"id": 0,
"title": "string",
"slug": "string"
}
],
"stats": {
"emails": 0,
"opens": 0,
"clicks": 0,
"total_points": 0,
"last_activity": "string"
}
},
"action_type": "string"
}

Playground​

Authorization
Body

Samples​

Powered by VitePress OpenAPI